| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/segment.h File Reference

2D line segment. More...

`#include "csextern.h"`
`#include "csgeom/vector2.h"`
`#include "csgeom/vector3.h"`

Go to the source code of this file.

## Classes
class | csSegment2
| A 2D line segment. More...
class | csSegment3
| A 3D line segment. More...

## Detailed Description

2D line segment.

Definition in file segment.h.